Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGColorProfileElement

All Superinterfaces:
  Element, Node, SVGElement, SVGRenderingIntent, SVGURIReference

public interface SVGColorProfileElement
extends SVGElement, SVGURIReference, SVGRenderingIntent

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.svg.SVGRenderingIntent
`RENDERING_INTENT_ABSOLUTE_COLORIMETRIC, RENDERING_INTENT_AUTO, RENDERING_INTENT_PERCEPTUAL, RENDERING_INTENT_RELATIVE_COLORIMETRIC, RENDERING_INTENT_SATURATION, RENDERING_INTENT_UNKNOWN`

Method Summary
`java.lang.String` | `getLocal()`
`java.lang.String` | `getName()`
`short` | `getRenderingIntent()`
`void` | `setLocal(java.lang.String local)`
`void` | `setName(java.lang.String name)`
`void` | `setRenderingIntent(short renderingIntent)`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Method Detail

### getLocal

    public java.lang.String getLocal()

### setLocal

    public void setLocal(java.lang.String local)
                  throws DOMException

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)
                 throws DOMException

### getRenderingIntent

    public short getRenderingIntent()

### setRenderingIntent

    public void setRenderingIntent(short renderingIntent)
                            throws DOMException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD